PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PVXMLCache Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLCache:
[legend]
Collaboration diagram for PVXMLCache:
[legend]

## Public Member Functions
| PVXMLCache ()
virtual bool | Get (const PString &prefix, const PString &key, const PString &fileType, PFilePath &filename)
virtual bool | PutWithLock (const PString &prefix, const PString &key, const PString &fileType, PFile &file)
void | SetDirectory (const PDirectory &directory)
const PDirectory & | GetDirectory () const
Public Member Functions inherited from PSafeObject
| PSafeObject (PSafeObject *indirectLock=NULL)
| Create a thread safe object. More...
PBoolean | SafeReference ()
| Increment the reference count for object. More...
PBoolean | SafeDereference ()
| Decrement the reference count for object. More...
PBoolean | LockReadOnly () const
| Lock the object for Read Only access. More...
void | UnlockReadOnly () const
| Release the read only lock on an object. More...
PBoolean | LockReadWrite ()
| Lock the object for Read/Write access. More...
void | UnlockReadWrite ()
| Release the read/write lock on an object. More...
void | SafeRemove ()
| Set the removed flag. More...
PBoolean | SafelyCanBeDeleted () const
| Determine if the object can be safely deleted. More...
virtual bool | GarbageCollection ()
| Do any garbage collection that may be required by the object so that it may be finally deleted. More...
unsigned | GetSafeReferenceCount () const
| Get count of references to this object. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions
virtual PFilePath | CreateFilename (const PString &prefix, const PString &key, const PString &fileType)

## Protected Attributes
PDirectory | m_directory

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PVXMLCache::PVXMLCache | ( |  | ) |

## Member Function Documentation

virtual PFilePath PVXMLCache::CreateFilename | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType
| ) |  |
| protected virtual

virtual bool PVXMLCache::Get | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType,
|  | PFilePath & | filename
| ) |  |
| virtual

const PDirectory& PVXMLCache::GetDirectory | ( |  | ) | const
| inline

References m_directory.

virtual bool PVXMLCache::PutWithLock | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType,
|  | PFile & | file
| ) |  |
| virtual

void PVXMLCache::SetDirectory | ( | const PDirectory & | directory | ) |

## Member Data Documentation

PDirectory PVXMLCache::m_directory
| protected

Referenced by GetDirectory().

The documentation for this class was generated from the following file:

- vxml.h